## r-bioc-biocmake 1.0.1+ds

=== DESCRIPTION ===
Package: biocmake
Version: 1.0.1
Date: 2025-05-13
Title: CMake for Bioconductor
Description: 
    Manages the installation of CMake for building Bioconductor packages.
    This avoids the need for end-users to manually install CMake on their system.
    No action is performed if a suitable version of CMake is already available.
Authors@R: person("Aaron", "Lun", role=c("cre", "aut"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Encoding: UTF-8
VignetteBuilder: knitr
Imports: utils, tools, dir.expiry
Suggests: knitr, rmarkdown, BiocStyle, testthat
biocViews: Infrastructure
URL: https://github.com/LTLA/biocmake
BugReports: https://github.com/LTLA/biocmake/issues
RoxygenNote: 7.3.2
git_url: https://git.bioconductor.org/packages/biocmake
git_branch: RELEASE_3_21
git_last_commit: 9cffd4f
git_last_commit_date: 2025-05-13
Repository: Bioconductor 3.21
Date/Publication: 2025-05-18
NeedsCompilation: no
Packaged: 2025-05-18 20:19:36 UTC; biocbuild
Author: Aaron Lun [cre, aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocmake (1.0.1+ds-1) unstable; urgency=medium

  * Initial release (closes: #1112222)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Aug 2025 16:11:25 +0200

=== debian/control ===
Source: r-bioc-biocmake
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               architecture-is-little-endian,
               dh-r,
               r-base-dev,
               r-bioc-dir.expiry
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocmake
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocmake.git
Homepage: https://bioconductor.org/packages/biocmake/
Rules-Requires-Root: no

Package: r-bioc-biocmake
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         cmake
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: CMake for Bioconductor
 Manages the use of CMake for building Bioconductor packages, providing an R
 native method of configuring and invoking CMake.

=== debian/watch ===
Version: 5

Source: https://bioconductor.org/packages/release/bioc/html/biocmake.html
Matching-Pattern: .*/biocmake_(.*).tar.gz
Downloadurlmangle: s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?
Repack: yes
Repacksuffix: +ds
Dversion-Mangle: auto
